Subject: 24.3.50; flyspell in message mode messes Japanese input

From: Ivan Kanis <[email-masked]>
Date: Sun, 09 Feb 2014 18:20:29 +0100

1) emacs -Q
2) eval the following in *scratch*

(add-hook 'message-signature-setup-hook (lambda () (flyspell-mode 1)))

3) M-x gnus-msg-mail
4) C-\ japanese RET
5) genki SPACE RET g

I expect a g underscored instead I get g g in the echo area.

I have the aspell program installed instead of ispell.

In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.20)
 of 2014-02-08 on tao.kanis.fr
Repository revision: 116348 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11403000
System Description:	Ubuntu 13.10

Configured using:
 `configure --prefix=/home/ivan/emacs-bzr --without-compress-install
 'CFLAGS=-g -DSYSTEM_PURESIZE_EXTRA=1000000''

Important settings:
  value of $LANG: en_US.UTF8
  locale-coding-system: utf-8-unix

Major mode: Message

Minor modes in effect:
  flyspell-mode: t
  mml-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  auto-fill-function: message-do-auto-fill
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-y H-i H-i H-i H-i <up> <up> <up> C-e C-x C-e <down> 
<down> C-e C-x C-e M-x g n u s m s <backspace> <backspace> 
- s m <backspace> <backspace> m s <tab> <return> C-\ 
j a <tab> <return> g e n k i SPC <return> g M-x r e 
p <tab> o <tab> r <tab> <return>

Recent messages:
H-i is undefined [4 times]
ivan-message-setup
(ivan-message-setup)
Gnus not running; using plain Message mode
Mark set
Starting new Ispell process /usr/bin/aspell with default dictionary...
Loading quail/japanese...done
Loading /home/ivan/.kkcrc...done
Loading ja-dic/ja-dic...done
Making completion list... [2 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail ja-dic mule-util cus-start
cus-load japan-util kkc ja-dic-utl quail help-mode hashcash flyspell
ispell gnus-msg gnus-art mm-uu mml2015 epg-config mm-view mml-smime
smime password-cache dig mailcap gnus-sum nnoo gnus-group gnus-undo
nnmail mail-source gnus-start gnus-spec gnus-int gnus-range gnus-win
message format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev
gmm-utils mailheader gnus gnus-ems nnheader gnus-util mail-utils mm-util
help-fns mail-prsvr wid-edit cl-loaddefs cl-lib time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)